Katello - Bug #24137

GET content_view_filter_rules index API default search is set to :name, this doesnt work for errata

rules
07/03/2018 09:08 AM - Sean O'Keeffe

Status: Closed
Priority: Normal
Assignee: Sean O'Keeffe
Category: Content Views
Target version: Katello 3.9.0
Difficulty: trivial Fixed in Releases:
Triaged: Yes Found in Releases:
Bugzilla link: Red Hat JIRA:
Pull request: https://github.com/Katello/katello/pull/749
Description

Searching erratum rules always result in an error because of the default search is set to :name which doesn't exist with rule

type=erratum

[root@centos7-katello-3-6 ~]# curl 'https://admin:changeme@centos7-katello-3-6.sean.example.com

/katello/api/v2/content_view_filters/18/rules' | python msen-test

o, O, o,

Dioad—Upload—Total—Spent—Left Speed

100—198—0—198—0—0—1415— 01 —-i--o- i1 1424 {

"error": "the field (name) in the order statement is not valid field for search",

"page": null,
"per_page": null,
"results": [],
"search": null,
"sort": {

"by": null,
"order": null

|3
"subtotal": null,
"total": null

}

Associated revisions

Revision 026dbf73 - 07/26/2018 06:44 PM - Sean O'Keeffe
Fixes #24137 - set default CV filter rule sort_by to ID

without this searching CV filter rules results in the following error:
"the field (name) in the order statement is not valid field for search"

Erratum CV Filter rules do not have a name attribute.

History

#1 - 07/03/2018 09:11 AM - The Foreman Bot
- Status changed from New to Ready For Testing
- Pull request https://github.com/Katello/katello/pull/7492 added

#2 - 07/26/2018 07:01 PM - Anonymous
- Status changed from Ready For Testing to Closed

Applied in changeset katello|026dbf73a674ca99228a138b7d8e0fae8201ede9.

#3 - 08/01/2018 05:34 PM - John Mitsch

05/17/2024
mailto:changeme@centos7-katello-3-6.sean.example.com
https://projects.theforeman.org/projects/katello/repository/katello/revisions/026dbf73a674ca99228a138b7d8e0fae8201ede9

- Category set to Content Views

- Target version set to Katello 3.9.0

#4 - 08/01/2018 05:43 PM - John Mitsch

- Triaged changed from No to Yes

05/17/2024 22


http://www.tcpdf.org

